freebsd 7.2 sqlite3

Проблемы с установкой, настройкой и работой системных и сетевых программ.

Модераторы: GRooVE, alexco

Правила форума
Убедительная просьба юзать теги [code] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
hakkar
проходил мимо
Сообщения: 9
Зарегистрирован: 2010-08-23 14:50:41

freebsd 7.2 sqlite3

Непрочитанное сообщение hakkar » 2010-08-23 15:11:53

не могу поставить уже 2й день... хелп плз делаю все как тут написано
http://www.lissyara.su/articles/freebsd ... ams+rejik/
все отлично начиаю ставить PHP5 EXTENSIONS
дальше происходит следущие
это последняя часть лога..

Код: Выделить всё

/var/tmp//ccxSycfT.o(.text+0x54cd): In function `main':
: undefined reference to `sqlite3_libversion'
/var/tmp//ccxSycfT.o(.text+0x551e): In function `main':
: undefined reference to `sqlite3_snprintf'
/var/tmp//ccxSycfT.o(.text+0x563d): In function `main':
: undefined reference to `sqlite3_snprintf'
/var/tmp//ccxSycfT.o(.text+0x56a1): In function `main':
: undefined reference to `sqlite3_snprintf'
/var/tmp//ccxSycfT.o(.text+0x5776): In function `main':
: undefined reference to `sqlite3_libversion'
/var/tmp//ccxSycfT.o(.text+0x151b): In function `interrupt_handler':
: undefined reference to `sqlite3_interrupt'
gmake: *** [sqlite3] Error 1
*** Error code 1

Stop in /usr/ports/databases/sqlite3.
*** Error code 1

Stop in /usr/ports/databases/sqlite3.
*** Error code 1

Stop in /usr/ports/databases/php5-pdo_sqlite.
*** Error code 1

Stop in /usr/ports/lang/php5-extensions.
*** Error code 1

Stop in /usr/ports/lang/php5-extensions.

при попытки установить sqlite3 выдает
Building for sqlite3-3.6.23.1_3

Код: Выделить всё

./libtool --mode=link cc   -O2 -fno-strict-aliasing -pipe -DSQLITE_OS_UNIX=1 -I. -I./src -D_HAVE_SQLITE_CONFIG_H -DNDEBUG   -DSQLITE_THREADSAFE=0 -DSQLITE_THREAD_OVERRIDE_LOCK=-1 -DSQLITE_OMIT_LOAD_EXTENSION=1     -DHAVE_READLINE=1 -I/usr/include/readline \
                -o sqlite3 ./src/shell.c libsqlite3.la \
                -lreadline -lreadline   -rpath "/usr/local/lib"
libtool: link: cc -O2 -fno-strict-aliasing -pipe -DSQLITE_OS_UNIX=1 -I. -I./src -D_HAVE_SQLITE_CONFIG_H -DNDEBUG -DSQLITE_THREADSAFE=0 -DSQLITE_THREAD_OVERRIDE_LOCK=-1 -DSQLITE_OMIT_LOAD_EXTENSION=1 -DHAVE_READLINE=1 -I/usr/include/readline -o .libs/sqlite3 ./src/shell.c  ./.libs/libsqlite3.so -lreadline -Wl,-rpath -Wl,/usr/local/lib
/var/tmp//ccc1U7z9.o(.text+0x5c0): In function `run_schema_dump_query':
: undefined reference to `sqlite3_exec'
/var/tmp//ccc1U7z9.o(.text+0x5fa): In function `run_schema_dump_query':
: undefined reference to `sqlite3_free'
/var/tmp//ccc1U7z9.o(.text+0x62b): In function `run_schema_dump_query':
: undefined reference to `sqlite3_snprintf'
/var/tmp//ccc1U7z9.o(.text+0x64f): In function `run_schema_dump_query':
: undefined reference to `sqlite3_exec'
/var/tmp//ccc1U7z9.o(.text+0x83c): In function `run_table_dump_query':
: undefined reference to `sqlite3_prepare'
/var/tmp//ccc1U7z9.o(.text+0x84f): In function `run_table_dump_query':
: undefined reference to `sqlite3_step'
/var/tmp//ccc1U7z9.o(.text+0x879): In function `run_table_dump_query':
: undefined reference to `sqlite3_column_text'
/var/tmp//ccc1U7z9.o(.text+0x898): In function `run_table_dump_query':
: undefined reference to
/var/tmp//ccc1U7z9.o(.text+0x151b): In function `interrupt_handler':
: undefined reference to `sqlite3_interrupt'
gmake: *** [sqlite3] Error 1
*** Error code 1

Stop in /usr/ports/databases/sqlite3.
*** Error code 1

Stop in /usr/ports/databases/sqlite3.
Последний раз редактировалось hizel 2010-08-23 15:38:18, всего редактировалось 1 раз.
Причина: [code][/code]

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Аватара пользователя
hizel
дядя поня
Сообщения: 9031
Зарегистрирован: 2007-06-29 10:05:02
Откуда: Выборг

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hizel » 2010-08-23 15:37:44

свежее ли дерево портов? свежи ли приложения из портов установленные?
В дурацкие игры он не играет. Он просто жуткий, чу-чу, паровозик, и зовут его Блейн. Блейн --- это Боль.

hakkar
проходил мимо
Сообщения: 9
Зарегистрирован: 2010-08-23 14:50:41

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hakkar » 2010-08-23 15:39:01

да порты через portcnap обновлены и установлены..

Аватара пользователя
hizel
дядя поня
Сообщения: 9031
Зарегистрирован: 2007-06-29 10:05:02
Откуда: Выборг

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hizel » 2010-08-23 15:40:27

Код: Выделить всё

pkg_version -v | grep need
с какими опциями собираете?
В дурацкие игры он не играет. Он просто жуткий, чу-чу, паровозик, и зовут его Блейн. Блейн --- это Боль.

hakkar
проходил мимо
Сообщения: 9
Зарегистрирован: 2010-08-23 14:50:41

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hakkar » 2010-08-23 15:53:27

Код: Выделить всё

appres-1.0.1                        <   needs updating (port has 1.0.2)
bison-2.4.1,1                       <   needs updating (port has 2.4.3,1)
bitmap-1.0.3_1                      <   needs updating (port has 1.0.4)
compositeproto-0.4                  <   needs updating (port has 0.4.1)
consolekit-0.4.1_2                  <   needs updating (port has 0.4.1_4)
damageproto-1.1.0_2                 <   needs updating (port has 1.2.0)
dbus-1.2.16_1                       <   needs updating (port has 1.2.24_1)
dbus-glib-0.84                      <   needs updating (port has 0.86_1)
dmxproto-2.2.2                      <   needs updating (port has 2.3)
dri2proto-2.1                       <   needs updating (port has 2.2)
eggdbus-0.6                         <   needs updating (port has 0.6_1)
encodings-1.0.2,1                   <   needs updating (port has 1.0.3,1)
fixesproto-4.0                      <   needs updating (port has 4.1.1)
font-adobe-100dpi-1.0.0_1           <   needs updating (port has 1.0.1)
font-adobe-75dpi-1.0.0              <   needs updating (port has 1.0.1)
font-adobe-utopia-100dpi-1.0.1      <   needs updating (port has 1.0.2)
font-adobe-utopia-75dpi-1.0.1       <   needs updating (port has 1.0.2)
font-adobe-utopia-type1-1.0.1       <   needs updating (port has 1.0.2)
font-alias-1.0.1                    <   needs updating (port has 1.0.2)
font-arabic-misc-1.0.0              <   needs updating (port has 1.0.1)
font-bh-100dpi-1.0.0                <   needs updating (port has 1.0.1)
font-bh-75dpi-1.0.0                 <   needs updating (port has 1.0.1)
font-bh-lucidatypewriter-100dpi-1.0.0  <   needs updating (port has 1.0.1)
font-bh-lucidatypewriter-75dpi-1.0.0  <   needs updating (port has 1.0.1)
font-bh-ttf-1.0.0                   <   needs updating (port has 1.0.1)
font-bh-type1-1.0.0                 <   needs updating (port has 1.0.1)
font-bitstream-100dpi-1.0.0         <   needs updating (port has 1.0.1)
font-bitstream-75dpi-1.0.0          <   needs updating (port has 1.0.1)
font-bitstream-type1-1.0.0          <   needs updating (port has 1.0.1)
font-cronyx-cyrillic-1.0.0          <   needs updating (port has 1.0.1)
font-cursor-misc-1.0.0              <   needs updating (port has 1.0.1)
font-daewoo-misc-1.0.0              <   needs updating (port has 1.0.1)
font-dec-misc-1.0.0                 <   needs updating (port has 1.0.1)
font-ibm-type1-1.0.0                <   needs updating (port has 1.0.1)
font-isas-misc-1.0.0                <   needs updating (port has 1.0.1)
font-jis-misc-1.0.0                 <   needs updating (port has 1.0.1)
font-micro-misc-1.0.0               <   needs updating (port has 1.0.1)
font-misc-cyrillic-1.0.0            <   needs updating (port has 1.0.1)
font-misc-ethiopic-1.0.0            <   needs updating (port has 1.0.1)
font-misc-meltho-1.0.0_1            <   needs updating (port has 1.0.1)
font-misc-misc-1.0.0                <   needs updating (port has 1.1.0)
font-mutt-misc-1.0.0                <   needs updating (port has 1.0.1)
font-schumacher-misc-1.0.0_1        <   needs updating (port has 1.1.0)
font-screen-cyrillic-1.0.1          <   needs updating (port has 1.0.2)
font-sony-misc-1.0.0                <   needs updating (port has 1.0.1)
font-sun-misc-1.0.0                 <   needs updating (port has 1.0.1)
font-util-1.0.1                     <   needs updating (port has 1.0.2)
font-winitzki-cyrillic-1.0.0        <   needs updating (port has 1.0.1)
font-xfree86-type1-1.0.1            <   needs updating (port has 1.0.2)
fontcacheproto-0.1.2                <   needs updating (port has 0.1.3)
fontsproto-2.0.2                    <   needs updating (port has 2.1.0)
freetype2-2.3.11                    <   needs updating (port has 2.4.2)
gamin-0.1.10_3                      <   needs updating (port has 0.1.10_4)
gettext-0.17_1                      <   needs updating (port has 0.18_1)
gio-fam-backend-2.22.4              <   needs updating (port has 2.24.2)
glib-2.22.4                         <   needs updating (port has 2.24.2)
gobject-introspection-0.6.7         <   needs updating (port has 0.6.14)
hal-0.5.13_14                       <   needs updating (port has 0.5.14_8)
iceauth-1.0.2                       <   needs updating (port has 1.0.3)
inputproto-1.5.0                    <   needs updating (port has 2.0)
kbproto-1.0.3                       <   needs updating (port has 1.0.4)
libFS-1.0.1                         <   needs updating (port has 1.0.2)
libICE-1.0.4_1,1                    <   needs updating (port has 1.0.6,1)
libSM-1.1.0_1,1                     <   needs updating (port has 1.1.1_1,1)
libX11-1.2.1_1,1                    <   needs updating (port has 1.3.3,1)
libXScrnSaver-1.1.3                 <   needs updating (port has 1.2.0)
libXau-1.0.4                        <   needs updating (port has 1.0.5)
libXaw-1.0.5_1,1                    <   needs updating (port has 1.0.7,1)
libXcomposite-0.4.0,1               <   needs updating (port has 0.4.1,1)
libXcursor-1.1.9_1                  <   needs updating (port has 1.1.10)
libXdamage-1.1.1                    <   needs updating (port has 1.1.2)
libXdmcp-1.0.2_1                    <   needs updating (port has 1.0.3)
libXext-1.0.5,1                     <   needs updating (port has 1.1.1,1)
libXfixes-4.0.3_1                   <   needs updating (port has 4.0.4)
libXfont-1.3.4,1                    <   needs updating (port has 1.4.0,1)
libXfontcache-1.0.4                 <   needs updating (port has 1.0.5)
libXi-1.2.1,1                       <   needs updating (port has 1.3,1)
libXinerama-1.0.3,1                 <   needs updating (port has 1.1,1)
libXmu-1.0.4,1                      <   needs updating (port has 1.0.5,1)
libXrender-0.9.4_1                  <   needs updating (port has 0.9.5)
libXres-1.0.3_3                     <   needs updating (port has 1.0.4)
libXt-1.0.5_1                       <   needs updating (port has 1.0.7)
libXtst-1.0.3_1                     <   needs updating (port has 1.1.0)
libXv-1.0.4,1                       <   needs updating (port has 1.0.5,1)
libXvMC-1.0.4_1                     <   needs updating (port has 1.0.5)
libXxf86dga-1.0.2                   <   needs updating (port has 1.1.1)
libXxf86misc-1.0.1                  <   needs updating (port has 1.0.2)
libXxf86vm-1.0.2                    <   needs updating (port has 1.1.0)
libdmx-1.0.2_1                      <   needs updating (port has 1.1.0)
libdrm-2.4.12                       <   needs updating (port has 2.4.12_1)
libfontenc-1.0.4                    <   needs updating (port has 1.0.5)
libpciaccess-0.10.6_1               <   needs updating (port has 0.11.0)
libxcb-1.5                          <   needs updating (port has 1.6)
libxkbfile-1.0.5                    <   needs updating (port has 1.0.6)
libxml2-2.7.6_1                     <   needs updating (port has 2.7.7)
luit-1.0.3_1                        <   needs updating (port has 1.0.5)
m4-1.4.13,1                         <   needs updating (port has 1.4.14_1,1)
mkfontdir-1.0.4                     <   needs updating (port has 1.0.5)
mkfontscale-1.0.6                   <   needs updating (port has 1.0.7)
pcre-8.00                           <   needs updating (port has 8.10)
perl-5.10.1                         <   needs updating (port has 5.10.1_2)
pkg-config-0.23_1                   <   needs updating (port has 0.25)
polkit-0.96_1                       <   needs updating (port has 0.96_2)
python26-2.6.4                      <   needs updating (port has 2.6.5_1)
randrproto-1.3.0                    <   needs updating (port has 1.3.1)
recordproto-1.13.2                  <   needs updating (port has 1.14)
renderproto-0.9.3                   <   needs updating (port has 0.11)
scrnsaverproto-1.1.0                <   needs updating (port has 1.2.0)
sessreg-1.0.4                       <   needs updating (port has 1.0.5)
setxkbmap-1.0.4                     <   needs updating (port has 1.1.0)
smproxy-1.0.2                       <   needs updating (port has 1.0.3)
videoproto-2.2.2                    <   needs updating (port has 2.3.0)
x11perf-1.5                         <   needs updating (port has 1.5.1)
xauth-1.0.3                         <   needs updating (port has 1.0.4)
xbacklight-1.1                      <   needs updating (port has 1.1.1)
xbitmaps-1.0.1                      <   needs updating (port has 1.1.0)
xcalc-1.0.2_1                       <   needs updating (port has 1.0.3)
xcmsdb-1.0.1                        <   needs updating (port has 1.0.2)
xcursor-themes-1.0.1_1              <   needs updating (port has 1.0.2)
xcursorgen-1.0.2                    <   needs updating (port has 1.0.3)
xdpyinfo-1.0.3                      <   needs updating (port has 1.1.0)
xdriinfo-1.0.2                      <   needs updating (port has 1.0.3)
xev-1.0.3                           <   needs updating (port has 1.0.4)
xextproto-7.0.5                     <   needs updating (port has 7.1.1)
xf86-input-keyboard-1.3.2_3         <   needs updating (port has 1.4.0)
xf86-input-mouse-1.4.0_7            <   needs updating (port has 1.5.0)
xf86-video-ati-6.12.4_1             <   needs updating (port has 6.13.0)
xf86-video-intel-2.7.1_1            <   needs updating (port has 2.7.1_3)
xf86-video-mach64-6.8.1_1           <   needs updating (port has 6.8.2)
xf86-video-nv-2.1.13_2              <   needs updating (port has 2.1.17)
xf86-video-openchrome-0.2.904_1     <   needs updating (port has 0.2.904_2)
xf86-video-r128-6.8.0_4             <   needs updating (port has 6.8.1)
xf86-video-radeonhd-1.3.0_1         <   needs updating (port has 1.3.0_3)
xf86-video-vesa-2.1.0_3             <   needs updating (port has 2.3.0)
xf86dgaproto-2.0.3                  <   needs updating (port has 2.1)
xf86miscproto-0.9.2                 <   needs updating (port has 0.9.3)
xf86vidmodeproto-2.2.2              <   needs updating (port has 2.3)
xgamma-1.0.2                        <   needs updating (port has 1.0.3)
xgc-1.0.1_1                         <   needs updating (port has 1.0.2)
xhost-1.0.2                         <   needs updating (port has 1.0.3)
xineramaproto-1.1.2                 <   needs updating (port has 1.2)
xinit-1.1.1_1                       <   needs updating (port has 1.2.0_1)
xinput-1.4.2                        <   needs updating (port has 1.5.0)
xkbcomp-1.0.5                       <   needs updating (port has 1.1.0)
xkbevd-1.0.2                        <   needs updating (port has 1.1.0)
xkeyboard-config-1.6_1              <   needs updating (port has 1.8_1)
xkill-1.0.1                         <   needs updating (port has 1.0.2)
xlsatoms-1.0.1                      <   needs updating (port has 1.0.2)
xlsclients-1.0.1                    <   needs updating (port has 1.0.2)
xmodmap-1.0.3                       <   needs updating (port has 1.0.4)
xorg-7.4_3                          <   needs updating (port has 7.5)
xorg-apps-7.4_1                     <   needs updating (port has 7.5)
xorg-drivers-7.4_3                  <   needs updating (port has 7.5)
xorg-fonts-100dpi-7.4               <   needs updating (port has 7.5)
xorg-fonts-7.4                      <   needs updating (port has 7.5)
xorg-fonts-75dpi-7.4                <   needs updating (port has 7.5)
xorg-fonts-cyrillic-7.4             <   needs updating (port has 7.5)
xorg-fonts-miscbitmaps-7.4          <   needs updating (port has 7.5)
xorg-fonts-truetype-7.4             <   needs updating (port has 7.5)
xorg-fonts-type1-7.4                <   needs updating (port has 7.5)
xorg-libraries-7.4                  <   needs updating (port has 7.5)
xorg-server-1.6.5_1,1               <   needs updating (port has 1.7.5,1)
xpr-1.0.2                           <   needs updating (port has 1.0.3)
xprop-1.0.4                         <   needs updating (port has 1.1.0)
xproto-7.0.15                       <   needs updating (port has 7.0.16)
xrandr-1.3.0                        <   needs updating (port has 1.3.2)
xrdb-1.0.5                          <   needs updating (port has 1.0.6)
xrefresh-1.0.2                      <   needs updating (port has 1.0.3)
xset-1.0.4                          <   needs updating (port has 1.1.0)
xsetroot-1.0.2                      <   needs updating (port has 1.0.3)
xterm-253                           <   needs updating (port has 261)
xtrans-1.2.3                        <   needs updating (port has 1.2.5)
xvinfo-1.0.2                        <   needs updating (port has 1.1.0)
xwd-1.0.2                           <   needs updating (port has 1.0.3)
xwininfo-1.0.4                      <   needs updating (port has 
appres-1.0.1                        <   needs updating (port has 1.0.2)
bison-2.4.1,1                       <   needs updating (port has 2.4.3,1)
bitmap-1.0.3_1                      <   needs updating (port has 1.0.4)
compositeproto-0.4                  <   needs updating (port has 0.4.1)
consolekit-0.4.1_2                  <   needs updating (port has 0.4.1_4)
damageproto-1.1.0_2                 <   needs updating (port has 1.2.0)
dbus-1.2.16_1                       <   needs updating (port has 1.2.24_1)
dbus-glib-0.84                      <   needs updating (port has 0.86_1)
dmxproto-2.2.2                      <   needs updating (port has 2.3)
dri2proto-2.1                       <   needs updating (port has 2.2)
eggdbus-0.6                         <   needs updating (port has 0.6_1)
encodings-1.0.2,1                   <   needs updating (port has 1.0.3,1)
fixesproto-4.0                      <   needs updating (port has 4.1.1)
font-adobe-100dpi-1.0.0_1           <   needs updating (port has 1.0.1)
font-adobe-75dpi-1.0.0              <   needs updating (port has 1.0.1)
font-adobe-utopia-100dpi-1.0.1      <   needs updating (port has 1.0.2)
font-adobe-utopia-75dpi-1.0.1       <   needs updating (port has 1.0.2)
font-adobe-utopia-type1-1.0.1       <   needs updating (port has 1.0.2)
font-alias-1.0.1                    <   needs updating (port has 1.0.2)
font-arabic-misc-1.0.0              <   needs updating (port has 1.0.1)
font-bh-100dpi-1.0.0                <   needs updating (port has 1.0.1)
font-bh-75dpi-1.0.0                 <   needs updating (port has 1.0.1)
font-bh-lucidatypewriter-100dpi-1.0.0  <   needs updating (port has 1.0.1)
font-bh-lucidatypewriter-75dpi-1.0.0  <   needs updating (port has 1.0.1)
font-bh-ttf-1.0.0                   <   needs updating (port has 1.0.1)
font-bh-type1-1.0.0                 <   needs updating (port has 1.0.1)
font-bitstream-100dpi-1.0.0         <   needs updating (port has 1.0.1)
font-bitstream-75dpi-1.0.0          <   needs updating (port has 1.0.1)
font-bitstream-type1-1.0.0          <   needs updating (port has 1.0.1)
font-cronyx-cyrillic-1.0.0          <   needs updating (port has 1.0.1)
font-cursor-misc-1.0.0              <   needs updating (port has 1.0.1)
font-daewoo-misc-1.0.0              <   needs updating (port has 1.0.1)
font-dec-misc-1.0.0                 <   needs updating (port has 1.0.1)
font-ibm-type1-1.0.0                <   needs updating (port has 1.0.1)
font-isas-misc-1.0.0                <   needs updating (port has 1.0.1)
font-jis-misc-1.0.0                 <   needs updating (port has 1.0.1)
font-micro-misc-1.0.0               <   needs updating (port has 1.0.1)
font-misc-cyrillic-1.0.0            <   needs updating (port has 1.0.1)
font-misc-ethiopic-1.0.0            <   needs updating (port has 1.0.1)
font-misc-meltho-1.0.0_1            <   needs updating (port has 1.0.1)
font-misc-misc-1.0.0                <   needs updating (port has 1.1.0)
font-mutt-misc-1.0.0                <   needs updating (port has 1.0.1)
font-schumacher-misc-1.0.0_1        <   needs updating (port has 1.1.0)
font-screen-cyrillic-1.0.1          <   needs updating (port has 1.0.2)
font-sony-misc-1.0.0                <   needs updating (port has 1.0.1)
font-sun-misc-1.0.0                 <   needs updating (port has 1.0.1)
font-util-1.0.1                     <   needs updating (port has 1.0.2)
font-winitzki-cyrillic-1.0.0        <   needs updating (port has 1.0.1)
font-xfree86-type1-1.0.1            <   needs updating (port has 1.0.2)
fontcacheproto-0.1.2                <   needs updating (port has 0.1.3)
fontsproto-2.0.2                    <   needs updating (port has 2.1.0)
freetype2-2.3.11                    <   needs updating (port has 2.4.2)
gamin-0.1.10_3                      <   needs updating (port has 0.1.10_4)
gettext-0.17_1                      <   needs updating (port has 0.18_1)
gio-fam-backend-2.22.4              <   needs updating (port has 2.24.2)
glib-2.22.4                         <   needs updating (port has 2.24.2)
gobject-introspection-0.6.7         <   needs updating (port has 0.6.14)
hal-0.5.13_14                       <   needs updating (port has 0.5.14_8)
iceauth-1.0.2                       <   needs updating (port has 1.0.3)
inputproto-1.5.0                    <   needs updating (port has 2.0)
kbproto-1.0.3                       <   needs updating (port has 1.0.4)
libFS-1.0.1                         <   needs updating (port has 1.0.2)
libICE-1.0.4_1,1                    <   needs updating (port has 1.0.6,1)
libSM-1.1.0_1,1                     <   needs updating (port has 1.1.1_1,1)
libX11-1.2.1_1,1                    <   needs updating (port has 1.3.3,1)
libXScrnSaver-1.1.3                 <   needs updating (port has 1.2.0)
libXau-1.0.4                        <   needs updating (port has 1.0.5)
libXaw-1.0.5_1,1                    <   needs updating (port has 1.0.7,1)
libXcomposite-0.4.0,1               <   needs updating (port has 0.4.1,1)
libXcursor-1.1.9_1                  <   needs updating (port has 1.1.10)
libXdamage-1.1.1                    <   needs updating (port has 1.1.2)
libXdmcp-1.0.2_1                    <   needs updating (port has 1.0.3)
libXext-1.0.5,1                     <   needs updating (port has 1.1.1,1)
libXfixes-4.0.3_1                   <   needs updating (port has 4.0.4)
libXfont-1.3.4,1                    <   needs updating (port has 1.4.0,1)
libXfontcache-1.0.4                 <   needs updating (port has 1.0.5)
libXi-1.2.1,1                       <   needs updating (port has 1.3,1)
libXinerama-1.0.3,1                 <   needs updating (port has 1.1,1)
libXmu-1.0.4,1                      <   needs updating (port has 1.0.5,1)
libXrender-0.9.4_1                  <   needs updating (port has 0.9.5)
libXres-1.0.3_3                     <   needs updating (port has 1.0.4)
libXt-1.0.5_1                       <   needs updating (port has 1.0.7)
libXtst-1.0.3_1                     <   needs updating (port has 1.1.0)
libXv-1.0.4,1                       <   needs updating (port has 1.0.5,1)
libXvMC-1.0.4_1                     <   needs updating (port has 1.0.5)
libXxf86dga-1.0.2                   <   needs updating (port has 1.1.1)
libXxf86misc-1.0.1                  <   needs updating (port has 1.0.2)
libXxf86vm-1.0.2                    <   needs updating (port has 1.1.0)
libdmx-1.0.2_1                      <   needs updating (port has 1.1.0)
libdrm-2.4.12                       <   needs updating (port has 2.4.12_1)
libfontenc-1.0.4                    <   needs updating (port has 1.0.5)
libpciaccess-0.10.6_1               <   needs updating (port has 0.11.0)
libxcb-1.5                          <   needs updating (port has 1.6)
libxkbfile-1.0.5                    <   needs updating (port has 1.0.6)
libxml2-2.7.6_1                     <   needs updating (port has 2.7.7)
luit-1.0.3_1                        <   needs updating (port has 1.0.5)
m4-1.4.13,1                         <   needs updating (port has 1.4.14_1,1)
mkfontdir-1.0.4                     <   needs updating (port has 1.0.5)
mkfontscale-1.0.6                   <   needs updating (port has 1.0.7)
pcre-8.00                           <   needs updating (port has 8.10)
perl-5.10.1                         <   needs updating (port has 5.10.1_2)
pkg-config-0.23_1                   <   needs updating (port has 0.25)
polkit-0.96_1                       <   needs updating (port has 0.96_2)
python26-2.6.4                      <   needs updating (port has 2.6.5_1)
randrproto-1.3.0                    <   needs updating (port has 1.3.1)
recordproto-1.13.2                  <   needs updating (port has 1.14)
renderproto-0.9.3                   <   needs updating (port has 0.11)
scrnsaverproto-1.1.0                <   needs updating (port has 1.2.0)
sessreg-1.0.4                       <   needs updating (port has 1.0.5)
setxkbmap-1.0.4                     <   needs updating (port has 1.1.0)
smproxy-1.0.2                       <   needs updating (port has 1.0.3)
videoproto-2.2.2                    <   needs updating (port has 2.3.0)
x11perf-1.5                         <   needs updating (port has 1.5.1)
xauth-1.0.3                         <   needs updating (port has 1.0.4)
xbacklight-1.1                      <   needs updating (port has 1.1.1)
xbitmaps-1.0.1                      <   needs updating (port has 1.1.0)
xcalc-1.0.2_1                       <   needs updating (port has 1.0.3)
xcmsdb-1.0.1                        <   needs updating (port has 1.0.2)
xcursor-themes-1.0.1_1              <   needs updating (port has 1.0.2)
xcursorgen-1.0.2                    <   needs updating (port has 1.0.3)
xdpyinfo-1.0.3                      <   needs updating (port has 1.1.0)
xdriinfo-1.0.2                      <   needs updating (port has 1.0.3)
xev-1.0.3                           <   needs updating (port has 1.0.4)
xextproto-7.0.5                     <   needs updating (port has 7.1.1)
xf86-input-keyboard-1.3.2_3         <   needs updating (port has 1.4.0)
xf86-input-mouse-1.4.0_7            <   needs updating (port has 1.5.0)
xf86-video-ati-6.12.4_1             <   needs updating (port has 6.13.0)
xf86-video-intel-2.7.1_1            <   needs updating (port has 2.7.1_3)
xf86-video-mach64-6.8.1_1           <   needs updating (port has 6.8.2)
xf86-video-nv-2.1.13_2              <   needs updating (port has 2.1.17)
xf86-video-openchrome-0.2.904_1     <   needs updating (port has 0.2.904_2)
xf86-video-r128-6.8.0_4             <   needs updating (port has 6.8.1)
xf86-video-radeonhd-1.3.0_1         <   needs updating (port has 1.3.0_3)
xf86-video-vesa-2.1.0_3             <   needs updating (port has 2.3.0)
xf86dgaproto-2.0.3                  <   needs updating (port has 2.1)
xf86miscproto-0.9.2                 <   needs updating (port has 0.9.3)
xf86vidmodeproto-2.2.2              <   needs updating (port has 2.3)
xgamma-1.0.2                        <   needs updating (port has 1.0.3)
xgc-1.0.1_1                         <   needs updating (port has 1.0.2)
xhost-1.0.2                         <   needs updating (port has 1.0.3)
xineramaproto-1.1.2                 <   needs updating (port has 1.2)
xinit-1.1.1_1                       <   needs updating (port has 1.2.0_1)
xinput-1.4.2                        <   needs updating (port has 1.5.0)
xkbcomp-1.0.5                       <   needs updating (port has 1.1.0)
xkbevd-1.0.2                        <   needs updating (port has 1.1.0)
xkeyboard-config-1.6_1              <   needs updating (port has 1.8_1)
xkill-1.0.1                         <   needs updating (port has 1.0.2)
xlsatoms-1.0.1                      <   needs updating (port has 1.0.2)
xlsclients-1.0.1                    <   needs updating (port has 1.0.2)
xmodmap-1.0.3                       <   needs updating (port has 1.0.4)
xorg-7.4_3                          <   needs updating (port has 7.5)
xorg-apps-7.4_1                     <   needs updating (port has 7.5)
xorg-drivers-7.4_3                  <   needs updating (port has 7.5)
xorg-fonts-100dpi-7.4               <   needs updating (port has 7.5)
xorg-fonts-7.4                      <   needs updating (port has 7.5)
xorg-fonts-75dpi-7.4                <   needs updating (port has 7.5)
xorg-fonts-cyrillic-7.4             <   needs updating (port has 7.5)
xorg-fonts-miscbitmaps-7.4          <   needs updating (port has 7.5)
xorg-fonts-truetype-7.4             <   needs updating (port has 7.5)
xorg-fonts-type1-7.4                <   needs updating (port has 7.5)
xorg-libraries-7.4                  <   needs updating (port has 7.5)
xorg-server-1.6.5_1,1               <   needs updating (port has 1.7.5,1)
xpr-1.0.2                           <   needs updating (port has 1.0.3)
xprop-1.0.4                         <   needs updating (port has 1.1.0)
xproto-7.0.15                       <   needs updating (port has 7.0.16)
xrandr-1.3.0                        <   needs updating (port has 1.3.2)
xrdb-1.0.5                          <   needs updating (port has 1.0.6)
xrefresh-1.0.2                      <   needs updating (port has 1.0.3)
xset-1.0.4                          <   needs updating (port has 1.1.0)
xsetroot-1.0.2                      <   needs updating (port has 1.0.3)
xterm-253                           <   needs updating (port has 261)
xtrans-1.2.3                        <   needs updating (port has 1.2.5)
xvinfo-1.0.2                        <   needs updating (port has 1.1.0)
xwd-1.0.2                           <   needs updating (port has 1.0.3)
xwininfo-1.0.4                      <   needs updating (port h1.0.5)
xwud-1.0.1                          <   needs updating (port has 1.0.2
выдает что надо обновить много портов но того который нада нет..
щас cvsup поставлю может он норм обновит
и что это получается что в портах дело?

Аватара пользователя
hizel
дядя поня
Сообщения: 9031
Зарегистрирован: 2007-06-29 10:05:02
Откуда: Выборг

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hizel » 2010-08-23 16:04:20

не обязатьельно :-)
так с какими опциями собирате?

Код: Выделить всё

make -C /usr/ports/databases/sqlite3 config
выдает что надо обновить много портов но того который нада нет..
а какой вам нада?
В дурацкие игры он не играет. Он просто жуткий, чу-чу, паровозик, и зовут его Блейн. Блейн --- это Боль.

hakkar
проходил мимо
Сообщения: 9
Зарегистрирован: 2010-08-23 14:50:41

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hakkar » 2010-08-23 16:19:29

Код: Выделить всё

 [ ] DEBUG       Enable debugging & verbose explain        
 [ ] FTS3        Enable FTS3 (Full Text Search) module      
 [ ] RTREE       Enable R*Tree module                       
 [ ] RAMTABLE    Store temporary tables in RAM             
 [ ] TCLWRAPPER  Enable TCL wrapper                         
 [ ] METADATA    Enable column metadata                     
 [ ] THREADSAFE  Build thread-safe library                  
 [ ] EXTENSION   Allow loadable extensions    
  

hakkar
проходил мимо
Сообщения: 9
Зарегистрирован: 2010-08-23 14:50:41

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hakkar » 2010-08-23 16:20:33

ну нада... это я думал что sqlite3 не обновлен

Аватара пользователя
hizel
дядя поня
Сообщения: 9031
Зарегистрирован: 2007-06-29 10:05:02
Откуда: Выборг

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hizel » 2010-08-23 16:34:12

у меня собирается с этими параметрами
В дурацкие игры он не играет. Он просто жуткий, чу-чу, паровозик, и зовут его Блейн. Блейн --- это Боль.

hakkar
проходил мимо
Сообщения: 9
Зарегистрирован: 2010-08-23 14:50:41

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hakkar » 2010-08-23 16:48:30

мде..
я уже и переустанавливал фряху 4 раза все одн ои тоже..
ладно спс за ответы буду ломать голову дальше.._)

hakkar
проходил мимо
Сообщения: 9
Зарегистрирован: 2010-08-23 14:50:41

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hakkar » 2010-08-23 16:55:28

Код: Выделить всё

can't find package msgcat 1.4
    while executing
"package require msgcat 1.4"
    ("uplevel" body line 2)
    invoked from within
"uplevel \#0 {
    package require msgcat 1.4
    if { $::tcl_platform(platform) eq {windows} } {
        if { [catch { package require registry 1.1 }] } {
         ..."
    (file "/usr/local/lib/tcl8.5/clock.tcl" line 23)
    invoked from within
"source -encoding utf-8 [file join $TclLibDir clock.tcl]"
    (procedure "::tcl::clock::format" line 3)
    invoked from within
"clock format [clock seconds] -format "%Y-%m-%d %H:%M:%S UTC" -gmt 1"
    invoked from within
"set today [clock format [clock seconds] -format "%Y-%m-%d %H:%M:%S UTC" -gmt 1]"
    (file "./tool/mksqlite3c.tcl" line 49)
gmake: *** [sqlite3.c] Error 1
*** Error code 1

Stop in /usr/ports/databases/sqlite3.
*** Error code 1

Stop in /usr/ports/databases/sqlite3.

а может все из за это го?
только я не совсем понимаю что тут неправельный формат времени или что...?

Аватара пользователя
hizel
дядя поня
Сообщения: 9031
Зарегистрирован: 2007-06-29 10:05:02
Откуда: Выборг

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hizel » 2010-08-23 16:59:30

Код: Выделить всё

#pkg_info -W /usr/local/bin/msgcat
/usr/local/bin/msgcat was installed by package gettext-0.18_1
о, ла-ла!

Код: Выделить всё

gettext-0.17_1                      <   needs updating (port has 0.18_1)
см. /usr/ports/UPDATING на предмет апгрейда gettext
В дурацкие игры он не играет. Он просто жуткий, чу-чу, паровозик, и зовут его Блейн. Блейн --- это Боль.

hakkar
проходил мимо
Сообщения: 9
Зарегистрирован: 2010-08-23 14:50:41

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hakkar » 2010-08-24 7:57:55

Код: Выделить всё

 Building for sqlite3-3.6.23.1_3
/libexec/ld-elf.so.1: Shared object "libintl.so.8" not found, required by "gmake                                                                             "
*** Error code 1

Stop in /usr/ports/databases/sqlite3.
*** Error code 1

Stop in /usr/ports/databases/sqlite3.
Доброго утричка..
теперь пишет вот это..

Аватара пользователя
hizel
дядя поня
Сообщения: 9031
Зарегистрирован: 2007-06-29 10:05:02
Откуда: Выборг

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hizel » 2010-08-24 8:06:02

см. /usr/ports/UPDATING на предмет апгрейда gettext
!1
В дурацкие игры он не играет. Он просто жуткий, чу-чу, паровозик, и зовут его Блейн. Блейн --- это Боль.

hakkar
проходил мимо
Сообщения: 9
Зарегистрирован: 2010-08-23 14:50:41

Re: freebsd 7.2 sqlite3

Непрочитанное сообщение hakkar » 2010-08-24 9:01:30

Код: Выделить всё

 # cd /usr/ports/devel/gobject-introspection
        # make clean
        # make deinstall
        # make install clean
после # make install clean практически сразу выдает ту же ошибку

Код: Выделить всё

/libexec/ld-elf.so.1: Shared object "libintl.so.8" not found, required by "gmake